package misc;
import java.awt.*;
import java.awt.event.*;

/**
 * Title:        Mini Sharp C
 * Description:  Semestrln prce z pedmt Programovac jazyky a Programovac jazykz pro web
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author Pavel Vank
 * @version 1.0
 */

/** Trida  options implementuje okno nastaveni, ktere umoznuje menit jmeno vystupniho souboru
 *
 */

public class Options extends Frame implements ActionListener{

  private Button okTl;
  private Button cancelTl;
  private TextField name;
  private Label popis;
  private String shjmeno;

  public String jmeno="output.mzf";

  public Options() {                                                           //Konstruktor nema params

  this.setTitle("Options");
  this.setResizable(false);
  this.setBackground(Color.lightGray);
  this.setLayout(null);
  this.add(popis=new Label("Output file name:"));
  popis.setBounds(3,30,100,20);
  this.add(name=new TextField());
  name.setText(jmeno);
  name.setBounds(50,60,100,20);
  this.add(okTl=new Button("OK"));
  okTl.setBounds(10,200,60,25);
  this.add(cancelTl=new Button("Cancel"));
  cancelTl.setBounds(130,200,60,25);

  this.setVisible(false);

  okTl.addActionListener(this);
  cancelTl.addActionListener(this);

  this.addWindowListener(new WindowAdapter() {                                 //Poslchac okna, vypne ho
      public void windowClosing(WindowEvent e) {
          Gui.options.name.setText(Gui.options.jmeno);
          Gui.options.setVisible(false);}
   });
}

public void actionPerformed(ActionEvent a) {

 if (a.getActionCommand()=="OK") {                                             //OK
    this.jmeno=name.getText();
    this.setVisible(false);
    int pos=this.name.getText().indexOf('.');
    if (pos==-1) pos=name.getText().length();
    shjmeno=this.name.getText().substring(0,pos);
    Start.sharp.setNames(this.name.getText(),shjmeno);
 }

 if (a.getActionCommand()=="Cancel") {                                         //Cancel
    name.setText(this.jmeno);
    this.setVisible(false);
 }
}

}